# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/common/infrastructure/messaging/messages/worker_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import struct_pb2 as google_dot_protobuf_dot_struct__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nCryax/common/infrastructure/messaging/messages/worker_messages.proto\x12\x06worker\x1a\x1cgoogle/protobuf/struct.proto\x1a\x1fgoogle/protobuf/timestamp.proto\"\xe8\x04\n\x08Register\x12\x11\n\tsite_name\x18\x01 \x01(\t\x12\'\n\x04type\x18\x03 \x01(\x0e\x32\x19.worker.Register.SiteType\x12-\n\nnode_pools\x18\x04 \x03(\x0b\x32\x19.worker.Register.NodePool\x12\x14\n\x07site_id\x18\x05 \x01(\tH\x00\x88\x01\x01\x1a\x44\n\x0fObjectiveScores\x12\x13\n\x0bperformance\x18\x01 \x01(\r\x12\x0e\n\x06\x65nergy\x18\x02 \x01(\r\x12\x0c\n\x04\x63ost\x18\x03 \x01(\r\x1a\xdd\x02\n\x08NodePool\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0b\n\x03\x63pu\x18\x02 \x01(\x02\x12\x0e\n\x06memory\x18\x03 \x01(\x04\x12\x0b\n\x03gpu\x18\x04 \x01(\r\x12 \n\x13maximum_time_in_sec\x18\x07 \x01(\x02H\x00\x88\x01\x01\x12?\n\x10objective_scores\x18\x08 \x01(\x0b\x32 .worker.Register.ObjectiveScoresH\x01\x88\x01\x01\x12\x14\n\x0c\x61rchitecture\x18\t \x01(\t\x12\x10\n\x08gpu_mode\x18\n \x01(\t\x12\x15\n\rgpu_num_total\x18\x0b \x01(\r\x12\x1c\n\x14\x66ilter_no_gpu_action\x18\x0c \x01(\x08\x12\x1a\n\rinstance_type\x18\r \x01(\tH\x02\x88\x01\x01\x42\x16\n\x14_maximum_time_in_secB\x13\n\x11_objective_scoresB\x10\n\x0e_instance_type\")\n\x08SiteType\x12\r\n\tSLURM_SSH\x10\x00\x12\x0e\n\nKUBERNETES\x10\x01\x42\n\n\x08_site_id\"\xb0\x01\n\x0e\x45xecutionEnded\x12\x14\n\x0c\x65xecution_id\x18\x01 \x01(\t\x12\x36\n\x06status\x18\x02 \x01(\x0e\x32&.worker.ExecutionEnded.ExecutionStatus\x12\x15\n\rerror_message\x18\x03 \x01(\t\"9\n\x0f\x45xecutionStatus\x12\r\n\tCOMPLETED\x10\x00\x12\x0c\n\x08\x43\x41NCELED\x10\x01\x12\t\n\x05\x45RROR\x10\x02\"\xa2\x01\n\x16GetExecutionStateReply\x12=\n\x0f\x65xecution_state\x18\x01 \x01(\x0e\x32$.worker.GetExecutionStateReply.State\"I\n\x05State\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0b\n\x07RUNNING\x10\x01\x12\r\n\tCOMPLETED\x10\x02\x12\x0c\n\x08\x43\x41NCELED\x10\x03\x12\t\n\x05\x45RROR\x10\x04\"\x7f\n\x0fInitTaskRequest\x12\x14\n\x0c\x65xecution_id\x18\x01 \x01(\t\x12\x1a\n\rlog_delimiter\x18\x02 \x01(\tH\x00\x88\x01\x01\x12\x18\n\x0b\x65xecutor_id\x18\x03 \x01(\tH\x01\x88\x01\x01\x42\x10\n\x0e_log_delimiterB\x0e\n\x0c_executor_id\"0\n\x0fTaskNewLogLines\x12\x0f\n\x07task_id\x18\x01 \x01(\t\x12\x0c\n\x04logs\x18\x02 \x01(\t\"\xf8\x03\n\rTaskCompleted\x12\x0f\n\x07task_id\x18\x01 \x01(\t\x12(\n\x07outputs\x18\x02 \x01(\x0b\x32\x17.google.protobuf.Struct\x12\x36\n\x0coutput_files\x18\x03 \x03(\x0b\x32 .worker.TaskCompleted.OutputFile\x12,\n\x06status\x18\x04 \x01(\x0e\x32\x1c.worker.TaskCompleted.Status\x12,\n\x08\x65nd_time\x18\x05 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x1d\n\x10http_status_code\x18\x06 \x01(\x05H\x00\x88\x01\x01\x12\x1a\n\rerror_message\x18\x07 \x01(\tH\x01\x88\x01\x01\x1a\x93\x01\n\nOutputFile\x12\x13\n\x0boutput_name\x18\x01 \x01(\t\x12\x11\n\tfile_path\x18\x02 \x01(\t\x12\x15\n\x08mimetype\x18\x03 \x01(\tH\x00\x88\x01\x01\x12\x15\n\x08\x65ncoding\x18\x04 \x01(\tH\x01\x88\x01\x01\x12\x15\n\rsize_in_bytes\x18\x05 \x01(\x04\x42\x0b\n\t_mimetypeB\x0b\n\t_encoding\" \n\x06Status\x12\x0b\n\x07SUCCESS\x10\x00\x12\t\n\x05\x45RROR\x10\x01\x42\x13\n\x11_http_status_codeB\x10\n\x0e_error_message\"q\n\x17\x41\x63tionDeploymentUpdated\x12\x15\n\rdeployment_id\x18\x01 \x01(\t\x12\x31\n\x10\x64\x65ployment_state\x18\x02 \x01(\x0e\x32\x17.worker.DeploymentState\x12\x0c\n\x04logs\x18\x03 \x01(\t\"Q\n\x1c\x41\x63tionDeploymentCurrentState\x12\x31\n\x10\x64\x65ployment_state\x18\x01 \x01(\x0e\x32\x17.worker.DeploymentState\"W\n\x1b\x41\x63tionDeploymentNewLogLines\x12\x15\n\rdeployment_id\x18\x01 \x01(\t\x12\x13\n\x0b\x65xecutor_id\x18\x02 \x01(\t\x12\x0c\n\x04logs\x18\x03 \x01(\t\"\xdf\x01\n\x12RecommendationsVPA\x12\x42\n\x0frecommendations\x18\x01 \x03(\x0b\x32).worker.RecommendationsVPA.Recommendation\x1a\x84\x01\n\x0eRecommendation\x12\x17\n\x0f\x63ontainer_image\x18\x01 \x01(\t\x12\x18\n\x10gpu_mig_instance\x18\t \x01(\t\x12\x0e\n\x06memory\x18\x0b \x01(\x04\x12\x15\n\ris_oom_bumpup\x18\x0c \x01(\x08\x12\x18\n\x10is_gpuoom_bumpup\x18\r \x01(\x08*\x90\x01\n\x0f\x44\x65ploymentState\x12\x0e\n\nREGISTERED\x10\x00\x12\r\n\tDEPLOYING\x10\x01\x12\t\n\x05READY\x10\x02\x12\x0b\n\x07RUNNING\x10\x03\x12\x0f\n\x0bUNDEPLOYING\x10\x04\x12\x0e\n\nUNDEPLOYED\x10\x05\x12\t\n\x05\x45RROR\x10\x06\x12\x1a\n\x16NO_RESOURCES_AVAILABLE\x10\x07\x62\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.common.infrastructure.messaging.messages.worker_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_DEPLOYMENTSTATE']._serialized_start=2305
  _globals['_DEPLOYMENTSTATE']._serialized_end=2449
  _globals['_REGISTER']._serialized_start=143
  _globals['_REGISTER']._serialized_end=759
  _globals['_REGISTER_OBJECTIVESCORES']._serialized_start=284
  _globals['_REGISTER_OBJECTIVESCORES']._serialized_end=352
  _globals['_REGISTER_NODEPOOL']._serialized_start=355
  _globals['_REGISTER_NODEPOOL']._serialized_end=704
  _globals['_REGISTER_SITETYPE']._serialized_start=706
  _globals['_REGISTER_SITETYPE']._serialized_end=747
  _globals['_EXECUTIONENDED']._serialized_start=762
  _globals['_EXECUTIONENDED']._serialized_end=938
  _globals['_EXECUTIONENDED_EXECUTIONSTATUS']._serialized_start=881
  _globals['_EXECUTIONENDED_EXECUTIONSTATUS']._serialized_end=938
  _globals['_GETEXECUTIONSTATEREPLY']._serialized_start=941
  _globals['_GETEXECUTIONSTATEREPLY']._serialized_end=1103
  _globals['_GETEXECUTIONSTATEREPLY_STATE']._serialized_start=1030
  _globals['_GETEXECUTIONSTATEREPLY_STATE']._serialized_end=1103
  _globals['_INITTASKREQUEST']._serialized_start=1105
  _globals['_INITTASKREQUEST']._serialized_end=1232
  _globals['_TASKNEWLOGLINES']._serialized_start=1234
  _globals['_TASKNEWLOGLINES']._serialized_end=1282
  _globals['_TASKCOMPLETED']._serialized_start=1285
  _globals['_TASKCOMPLETED']._serialized_end=1789
  _globals['_TASKCOMPLETED_OUTPUTFILE']._serialized_start=1569
  _globals['_TASKCOMPLETED_OUTPUTFILE']._serialized_end=1716
  _globals['_TASKCOMPLETED_STATUS']._serialized_start=1718
  _globals['_TASKCOMPLETED_STATUS']._serialized_end=1750
  _globals['_ACTIONDEPLOYMENTUPDATED']._serialized_start=1791
  _globals['_ACTIONDEPLOYMENTUPDATED']._serialized_end=1904
  _globals['_ACTIONDEPLOYMENTCURRENTSTATE']._serialized_start=1906
  _globals['_ACTIONDEPLOYMENTCURRENTSTATE']._serialized_end=1987
  _globals['_ACTIONDEPLOYMENTNEWLOGLINES']._serialized_start=1989
  _globals['_ACTIONDEPLOYMENTNEWLOGLINES']._serialized_end=2076
  _globals['_RECOMMENDATIONSVPA']._serialized_start=2079
  _globals['_RECOMMENDATIONSVPA']._serialized_end=2302
  _globals['_RECOMMENDATIONSVPA_RECOMMENDATION']._serialized_start=2170
  _globals['_RECOMMENDATIONSVPA_RECOMMENDATION']._serialized_end=2302
# @@protoc_insertion_point(module_scope)
